GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Functions
secure_credentials.cc File Reference
`#include <grpc/support/log.h>`
`#include <grpc++/channel_arguments.h>`
`#include "src/cpp/client/channel.h"`
`#include "src/cpp/client/secure_credentials.h"`

## Namespaces
| grpc

## Functions
std::shared_ptr< Credentials > | grpc::GoogleDefaultCredentials ()
std::shared_ptr< Credentials > | grpc::SslCredentials (const SslCredentialsOptions &options)
std::shared_ptr< Credentials > | grpc::ComputeEngineCredentials ()
std::shared_ptr< Credentials > | grpc::ServiceAccountCredentials (const grpc::string &json_key, const grpc::string &scope, long token_lifetime_seconds)
std::shared_ptr< Credentials > | grpc::ServiceAccountJWTAccessCredentials (const grpc::string &json_key, long token_lifetime_seconds)
std::shared_ptr< Credentials > | grpc::RefreshTokenCredentials (const grpc::string &json_refresh_token)
std::shared_ptr< Credentials > | grpc::AccessTokenCredentials (const grpc::string &access_token)
std::shared_ptr< Credentials > | grpc::IAMCredentials (const grpc::string &authorization_token, const grpc::string &authority_selector)
std::shared_ptr< Credentials > | grpc::CompositeCredentials (const std::shared_ptr< Credentials > &creds1, const std::shared_ptr< Credentials > &creds2)